curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/taxes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"taxZones": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"name": "<string>",
"departureCountryIso": "<string>",
"countries": [
{
"countryIso": "<string>",
"stateCode": "<string>"
}
],
"taxRates": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"vatRate": 123,
"taxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"intraCommunityDeliveryTaxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"exemptFromVatNotEuTaxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"reverseChargeTaxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"taxRateAssignments": [
{
"productGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"taxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"intraCommunityDeliveryTaxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"exemptFromVatNotEuTaxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"reverseChargeTaxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]
}
]
}
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/taxes"
payload = { "taxZones": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"name": "<string>",
"departureCountryIso": "<string>",
"countries": [
{
"countryIso": "<string>",
"stateCode": "<string>"
}
],
"taxRates": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"vatRate": 123,
"taxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"intraCommunityDeliveryTaxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"exemptFromVatNotEuTaxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"reverseChargeTaxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"taxRateAssignments": [
{
"productGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"taxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"intraCommunityDeliveryTaxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"exemptFromVatNotEuTaxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"reverseChargeTaxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]
}
]
}
] }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
taxZones: [
{
id: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
companyId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
name: '<string>',
departureCountryIso: '<string>',
countries: [{countryIso: '<string>', stateCode: '<string>'}],
taxRates: [
{
id: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
taxClassId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
vatRate: 123,
taxCodeId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
intraCommunityDeliveryTaxCodeId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
exemptFromVatNotEuTaxCodeId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
reverseChargeTaxCodeId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
taxRateAssignments: [
{
productGroupId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
shippingMethodId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
taxCodeId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
intraCommunityDeliveryTaxCodeId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
exemptFromVatNotEuTaxCodeId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
reverseChargeTaxCodeId: 'b45f6432-2462-4c6f-b00f-1d9d01000000'
}
]
}
]
}
]
})
};
fetch('https://api.jtl-cloud.com/erp/v2/taxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Batch saves the entire tax configuration in a single transaction. Zones with an Id are updated, zones without an Id are created, and zones in the database but not in the list are deleted.
Batch saves the entire tax configuration in a single transaction. Zones with an Id are updated, zones without an Id are created, and zones in the database but not in the list are deleted.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Body
Request parameters
Batch saves the entire tax configuration in a single transaction. Zones with an Id are updated, zones without an Id are created, and zones in the database but not in the list are deleted. - Request
The complete list of tax zones representing the desired state. The system will diff this against the current database state and derive create, update, and delete operations.
Show child attributes
Show child attributes
Response
Tax configuration was successfully saved.
Was this page helpful?